'\" t
.\"     Title: SPI_getvalue
.\"    Author: The PostgreSQL Global Development Group
.\" Generator: DocBook XSL Stylesheets v1.79.1 <http://docbook.sf.net/>
.\"      Date: 2021
.\"    Manual: PostgreSQL 9.6.24 Documentation
.\"    Source: PostgreSQL 9.6.24
.\"  Language: English
.\"
.TH "SPI_GETVALUE" "3" "2021" "PostgreSQL 9.6.24" "PostgreSQL 9.6.24 Documentation"
.\" -----------------------------------------------------------------
.\" * Define some portability stuff
.\" -----------------------------------------------------------------
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.\" http://bugs.debian.org/507673
.\" http://lists.gnu.org/archive/html/groff/2009-02/msg00013.html
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.ie \n(.g .ds Aq \(aq
.el       .ds Aq '
.\" -----------------------------------------------------------------
.\" * set default formatting
.\" -----------------------------------------------------------------
.\" disable hyphenation
.nh
.\" disable justification (adjust text to left margin only)
.ad l
.\" -----------------------------------------------------------------
.\" * MAIN CONTENT STARTS HERE *
.\" -----------------------------------------------------------------
.SH "NAME"
SPI_getvalue \- return the string value of the specified column
.SH "SYNOPSIS"
.sp
.nf
char * SPI_getvalue(HeapTuple \fIrow\fR, TupleDesc \fIrowdesc\fR, int \fIcolnumber\fR)
.fi
.SH "DESCRIPTION"
.PP
\fBSPI_getvalue\fR
returns the string representation of the value of the specified column\&.
.PP
The result is returned in memory allocated using
\fBpalloc\fR\&. (You can use
\fBpfree\fR
to release the memory when you don\*(Aqt need it anymore\&.)
.SH "ARGUMENTS"
.PP
HeapTuple \fIrow\fR
.RS 4
input row to be examined
.RE
.PP
TupleDesc \fIrowdesc\fR
.RS 4
input row description
.RE
.PP
int \fIcolnumber\fR
.RS 4
column number (count starts at 1)
.RE
.SH "RETURN VALUE"
.PP
Column value, or
NULL
if the column is null,
\fIcolnumber\fR
is out of range (\fISPI_result\fR
is set to
SPI_ERROR_NOATTRIBUTE), or no output function is available (\fISPI_result\fR
is set to
SPI_ERROR_NOOUTFUNC)\&.
